module Regfile ( // описываем входы и выходы их параметры
    input wire C,
    input [1:0] ADDRESS,
    input wire [7:0] D,
	 input wire WR,
    output wire [7:0] Q
    
);
    reg [7:0] registers [0:7];// создаем регистры
    assign Q = registers[ADDRESS];// подключаем выходы к регистрам
    
	 always @(posedge C) begin // в случае фронта по синхровходу
        if (WR) begin // если присутсвует разрешение записи
            registers[ADDRESS] <= D;//записываем данные с шины данных входа
        end
    end
endmodule
